// CoMET - The Crimson Fields Map Editing Tool
// Copyright (C) 2002-2003 Jens Granseuer
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

///////////////////////////////////////////////////////////////
// extwindow2.h - extended window classes for CoMET
//
// Changes:
///////////////////////////////////////////////////////////////

#ifndef _INCLUDE_ED_EXTWINDOW2_H
#define _INCLUDE_ED_EXTWINDOW2_H

#include "window.h"
#include "button.h"
#include "edwidget.h"
#include "misc.h"
#include "building.h"

// create a new mission
class NewMissionWindow : public Window {
public:
  NewMissionWindow( View *view );

  void SetHook( ButtonHook *hook ) const { ok->SetHook(hook); }

  Point GetMapSize( void ) const;
  const char *GetTileSet( void ) const { return tileset->String(); }
  const char *GetUnitSet( void ) const { return unitset->String(); }

private:
  NumberWidget *m_width;
  NumberWidget *m_height;
  StringWidget *tileset;
  StringWidget *unitset;
  ButtonWidget *ok;
};

#define B_ID_NMW_CREATE  1

class EdBuildingWindow : public Window, public ButtonHook {
public:
  EdBuildingWindow( Building &bld, Unit *first, View *view );

  GUI_Status Activate( ButtonWidget *button, Window *win );

private:
  Building &b;
  Unit *unit;

  StringWidget *b_name;
  CycleWidget *b_player;
  NumberWidget *b_crystals;
  NumberWidget *b_mining;
};

#define B_ID_PRV_EBW_PLAYER   1
#define B_ID_PRV_EBW_WORKSHOP 2
#define B_ID_PRV_EBW_FACTORY  3
#define B_ID_PRV_EBW_CRYSTALS 4
#define B_ID_PRV_EBW_MINING   5
#define B_ID_PRV_EBW_OK       6
#define B_ID_PRV_EBW_NAME     7

#endif	// _INCLUDE_ED_EXTWINDOW2_H

